Skip to main content

Upgrade index to vectorized version

POST 

/q/:qhi/search_update

Build a vectorized version of a given index object asynchronously. Callers can check status via GET /q/{qhi}/update_status.

The index is not committed to the fabric and exists only within the context of this service.

The update involves chunking the metadata and building a single vector embedding per chunk. This can be a length operation depending on the size of the metadata. A vector index will be built against these vectors for efficient semantic retrieval.

Note: The provided content id must be previously crawled.

Note: Vectorization only affects the ranking of the results not the content itself or the API for searching.

WARNING: Vectorization will make search queries significantly slower. If this is undesirable the caller can use the "text" query parameter in the search endpoint to force keyword search.

Request

Responses

successful response